Skip to main content

System Requirements

Last modified on February 01, 2023

myLTSA Enterprise is tested and known to be compatible with the following.

Web Browsers and Operating Systems

  • Web browsers: Google Chrome, Mozilla Firefox, and Microsoft Edge.
    • Enable cookies, pop-ups and JavaScript
    • HTML5 capable
  • Operating systems: Windows PC platforms: Windows¬† 10 with the latest service pack installed

Effective January 10, 2023, Microsoft will not support Windows 8.1. LTSA will end support of Windows 8.1 at this time. 

Other Requirements

  • An email account
  • A scanner is required if you electronically file using myLTSA Enterprise. See Scanning Requirements.
  • Adobe Reader is needed to view document/plan images, titles and notifications which are delivered in PDF format. Download Adobe Reader.
  • Adobe Acrobat Standard or Professional, version 11 or higher is required if you electronically file using myLTSA Enterprise. See Adobe's website for more information about how to purchase.